package io.zipcoder.polymorphism;
import org.junit.*;
/**
 * Created by William on 10/24/2018.
 */
public class MainApplicationTest {

    @Test
    public void testDogSpeak(){
        // Given
        Dog dog = new Dog("Dogo", 12);
        String expectedNumber = "Bark!!";

        //When
        String output = dog.speak();

        //then
        Assert.assertEquals(expectedNumber, output);
    }

    @Test
    public void testCatSpeak(){
        // Given
        Cat cat = new Cat("Kuddles", 7);
        String expectedNumber = "Meow";

        //When
        String output = cat.speak();

        //then
        Assert.assertEquals(expectedNumber, output);
    }

    @Test
    public void testHorseSpeak(){
        // Given
        Horse horse = new Horse("Bucky", 23);
        String expectedNumber = "Nayyy";

        //When
        String output = horse.speak();

        //then
        Assert.assertEquals(expectedNumber, output);
    }

}